Update Project
curl --request PATCH \
--url https://api.mokaru.ai/v1/projects/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"organisation": "<string>",
"startDate": "<string>",
"endDate": "<string>",
"isCurrent": true,
"url": "<string>"
}
'import requests
url = "https://api.mokaru.ai/v1/projects/{id}"
payload = {
"name": "<string>",
"description": "<string>",
"organisation": "<string>",
"startDate": "<string>",
"endDate": "<string>",
"isCurrent": True,
"url": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
organisation: '<string>',
startDate: '<string>',
endDate: '<string>',
isCurrent: true,
url: '<string>'
})
};
fetch('https://api.mokaru.ai/v1/projects/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Projects
Update Project
Update an existing project
PATCH
/
v1
/
projects
/
{id}
Update Project
Overview
Update an existing project. Only provided fields are modified. Passnull to clear an optional field.
Scope required:
projects:write | Rate limit: 20 requests/minRequest
PATCH /v1/projects/clx...
Content-Type: application/json
Path Parameters
string
required
The project’s unique ID
Body Parameters
string
Project name (max 200)
string
Description
string
Organisation (max 200) (nullable)
string
ISO 8601 datetime (nullable)
string
ISO 8601 datetime (nullable)
boolean
Ongoing flag (nullable)
string
Project URL (max 500) (nullable)
Query Parameters
string
Target a specific resume by its id (from
list-resumes). Omit to use your base/default resume; the resume must be self-contained.Response
{
"success": true,
"id": "clx..."
}
Was this page helpful?
⌘I
